<?php
class FFVE_TRACKING
{
    public function __construct($init = true)
    {
        // Initialisation si nécessaire
    }

    /**
     * Handle the 'source' & token parameters and set a cookie.
     */
    public function handleSourceParam(){
        global $FFVEdisplayFooter;
		$FFVEdisplayFooter=false;
		$context = Context::getContext();
        $isFFVE = false;
        $membre_ffve = false;
        $user_id = 0;
        if (isset($_REQUEST['tokenffve'])) {
            $isFFVE = true;
            $token = $_REQUEST['tokenffve'];
            $ffve_settings = new FFVE_SETTINGS();
            $ffve_api = new FFVE_API($ffve_settings->getServer(), $ffve_settings->getUser(), $ffve_settings->getPassword());
            $userData = $ffve_api->decodeToken($token);
            $this->setCookie('sourceffve', 'ffveservices', 24 * 3600);
            if (isset($userData['member']) && $userData['member']) {
                $code_membre = FFVE_TOOLS::chiffrement($userData['member']);
                $this->setCookie('tokenffve', $code_membre, 24 * 3600);
            }
        }
		
		if (  !$isFFVE && ( isset($_REQUEST['sourceffve']) && $_REQUEST['sourceffve'] === 'ffveservices' )  ) {
            $isFFVE = true;
			$ffve_settings = new FFVE_SETTINGS();
            $ffve_api = new FFVE_API($ffve_settings->getServer(), $ffve_settings->getUser(), $ffve_settings->getPassword());
            $this->setCookie('sourceffve', 'ffveservices', 24 * 3600);
        }
		
		if ($isFFVE){
			print $ffve_api->afficherBandeau();
			$FFVEdisplayFooter = true;
		}
    
	}


 public function handleFooter(){
	global $FFVEdisplayFooter;
	if ($FFVEdisplayFooter){
	$ffve_api = new FFVE_API(NULL,NULL,NULL);
	print $ffve_api->afficherBandeau();
	}

}
 
 

    /**
     * Set a cookie with the given name, value, and expiration time.
     */
      private function setCookie($name, $value, $expire){
        $context = Context::getContext();
        $cookie = $context->cookie;
        // Définir le cookie avec la clé et la valeur
        $cookie->$name = $value;
        // Définir une expiration de 24 heures (24 * 3600 secondes)
		$cookie->setExpire(time() + $expire);
        $cookie->write();
    }


       /**
     * Set cookies for member code using PrestaShop's cookie system.
     */
    public function setCookies($codeMembre)
    {
        $context = Context::getContext();
        if (!isset($context->cookie->tokenffve)) {
            $code_membre = FFVE_TOOLS::chiffrement($codeMembre);
            $this->setCookie('tokenffve', $code_membre, 24 * 3600);
        }
    }
}
