<div class="row" id="">
	<div class="col-lg-12">
		<p class="alert alert-info">
			Les produits dont la case à cocher "Exporter sur FFVE Services" a été coché seront exportés au format .csv<br>
			Téléchargez ce fichier et transmettez le à : <a href="mailto:contact@ffveservices.com">contact@ffveservices.com</a>.
		</p>
		<form action="{$exportUrl}" method="post" class="defaultForm form-horizontal AdminInvoices">									
			<div class="panel" id="">
				<div class="panel-heading">
					<i class="icon-download"></i> FFVE Services
				</div>						
				<em>Cliquez sur le bonton ci-dessous pour télécharger le fichier .csv</em><br><br>
				<button type="submit" class="btn btn-default" name="exportFFVE">Télécharger le fichier</button> 
				 <a href="#" id="uploads-products" class="btn btn-default">Envoyer le fichier</a>
				<script type="text/javascript">
					jQuery(document).ready(function($) {
						$("#uploads-products").click(function(e) {
							e.preventDefault();
							var data = {
								ajax: true,
								action: 'uploadFfveProducts',
								token: '{$ajaxToken}'
							};

							$.ajax({
								type: 'POST',
								url: '{$ajaxUrl}',
								data: data,
								dataType: 'json',
								success: function(response) {
									if (response.success) {
										alert("Fichier envoyé avec succès.");
									} else {
										alert("Erreur lors de l'envoi du fichier : " + response.message);
									}
								},
								error: function(xhr, textStatus, errorThrown) {
									alert("Une erreur s'est produite lors de la requête AJAX : " + textStatus);
								}
							});
						});
					});
				</script>
			</div>
		</form>
	</div>
</div>